/// <reference types="react" />
import { BaseComponent } from '../base';
import { IChipsFilterProps } from './chips-filter.interface';
export declare class ChipsFilter extends BaseComponent<ChipsFilter, IChipsFilterProps> {
    private static readonly logger;
    /**
     * @stable [26.08.2018]
     * @param {IChipsFilterProps} props
     */
    constructor(props: IChipsFilterProps);
    /**
     * @stable [26.08.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [26.08.2018]
     * @param {string} filterFieldName
     */
    private onRemoveFilter;
}
