"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var vue_property_decorator_1 = require("vue-property-decorator");
var util_1 = require("../../../util");
var vue_index_1 = require("../picture/vue-index");
var VueBaseFileViewer = /** @class */ (function (_super) {
    __extends(VueBaseFileViewer, _super);
    /**
     * @stable [09.12.2018]
     */
    function VueBaseFileViewer() {
        var _this = _super.call(this) || this;
        _this.getFileName = _this.getFileName.bind(_this);
        return _this;
    }
    /**
     * @stable [09.12.2018]
     * @returns {string}
     */
    VueBaseFileViewer.prototype.getPreviewTemplate = function () {
        return "\n      <vue-flex-layout :row=\"true\"\n                       class=\"" + this.getPreviewClassName() + "\">\n          <vue-flex-layout :justifyContentCenter=\"true\"\n                           class=\"vue-viewer-preview-wrapper\">\n              <span class=\"vue-viewer-preview-label\">\n                    {{getPlaceholder()}}\n              </span>\n              <span class=\"vue-viewer-preview-file-name\"\n                    @click=\"onOpenPopup\">\n                    {{getFileName()}}\n              </span>\n          </vue-flex-layout>\n          <vue-flex-layout :full=\"false\"\n                           :justifyContentCenter=\"true\">\n              <div class=\"vue-icon vue-icon-close vue-viewer-preview-icon-close\"\n                   @click=\"onRemove\"/>\n          </vue-flex-layout>\n      </vue-flex-layout>\n    ";
    };
    /**
     * @stable [09.12.2018]
     * @returns {IVueFileViewerTemplateMethodsEntity}
     */
    VueBaseFileViewer.prototype.getTemplateMethods = function () {
        var _this = this;
        return __assign({}, _super.prototype.getTemplateMethods.call(this), { getPlaceholder: function () { return util_1.ifNotNilReturnValue(_this.placeholder, function () { return _this.t(_this.placeholder); }); }, getFileName: this.getFileName });
    };
    /**
     * @stable [22.12.2018]
     * @returns {string}
     */
    VueBaseFileViewer.prototype.getFileName = function () {
        var _this = this;
        return util_1.orDefault(util_1.isFn(this.displayFileName), function () { return _this.displayFileName(_this.entity); }, function () { return util_1.nvl(_this.fileName, _this.t(_this.settings.messages.unknownFileMessage)); });
    };
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", String)
    ], VueBaseFileViewer.prototype, "placeholder", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", Object)
    ], VueBaseFileViewer.prototype, "entity", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", String)
    ], VueBaseFileViewer.prototype, "fileName", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", Function)
    ], VueBaseFileViewer.prototype, "displayFileName", void 0);
    return VueBaseFileViewer;
}(vue_index_1.VueBasePictureViewer));
exports.VueBaseFileViewer = VueBaseFileViewer;
//# sourceMappingURL=vue-base-file-viewer.component.js.map