import { VueField } from '../field/vue-index';
import { IVueBaseTextFieldProps, IVueBaseTextFieldTemplateMethods } from './vue-textfield.interface';
export declare class VueBaseTextField extends VueField implements IVueBaseTextFieldProps {
    protected floatLabel: boolean;
    protected type: string;
    /**
     * @stable [21.10.2018]
     * @returns {string}
     */
    getFieldClassName(): string;
    /**
     * @stable [17.11.2018]
     * @returns {string}
     */
    protected getInputClassName(): string;
    /**
     * @stable [22.12.2018]
     * @returns {TMethods}
     */
    protected getTemplateMethods<TMethods extends IVueBaseTextFieldTemplateMethods>(): TMethods;
    /**
     * @stable [22.12.2018]
     * @returns {string}
     */
    protected getFieldAttachmentTemplate(): string;
    /**
     * @stable [21.12.2018]
     */
    protected onIconClick(): void;
}
