"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var base_1 = require("../base");
var layout_1 = require("../layout");
var Profile = /** @class */ (function (_super) {
    __extends(Profile, _super);
    function Profile() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [17.09.2018]
     * @returns {JSX.Element}
     */
    Profile.prototype.render = function () {
        var props = this.props;
        return (React.createElement(layout_1.FlexLayout, { row: true, alignItemsCenter: true, className: 'rac-profile' },
            util_1.orNull(props.appVersion, function () { return React.createElement("div", { className: 'rac-profile-app-version' }, props.appVersion); }),
            util_1.orNull(props.avatarRendered, function () { return React.createElement("div", { className: 'rac-profile-avatar' }); }),
            this.uiFactory.makeIcon({
                type: 'menu',
                className: 'rac-logo-menu-action',
                onClick: props.onClick,
            })));
    };
    return Profile;
}(base_1.BaseComponent));
exports.Profile = Profile;
//# sourceMappingURL=profile.component.js.map