import { EntityCallbackWrapperT, IEntity } from '../../../definitions.interface';
import { VueBasePictureViewer } from '../picture/vue-index';
import { IVueFileViewerTemplateMethodsEntity, IVueBaseFileViewerProps } from './vue-file-viewer.interface';
export declare class VueBaseFileViewer extends VueBasePictureViewer implements IVueBaseFileViewerProps {
    placeholder: string;
    entity: IEntity;
    fileName: string;
    displayFileName: EntityCallbackWrapperT;
    /**
     * @stable [09.12.2018]
     */
    constructor();
    /**
     * @stable [09.12.2018]
     * @returns {string}
     */
    protected getPreviewTemplate(): string;
    /**
     * @stable [09.12.2018]
     * @returns {IVueFileViewerTemplateMethodsEntity}
     */
    protected getTemplateMethods(): IVueFileViewerTemplateMethodsEntity;
    /**
     * @stable [22.12.2018]
     * @returns {string}
     */
    protected getFileName(): string;
}
