import { IEffectsAction } from 'redux-effects-promise';
import { IKeyValue } from '../definitions.interface';
export declare class DictionariesActionBuilder {
    static buildLoadActionType(section: string): string;
    static buildClearActionType(section: string): string;
    static buildLoadDoneActionType(section: string): string;
    static buildLoadErrorActionType(section: string): string;
    static buildDestroyAction(): IEffectsAction;
    static buildLoadAction(section: string, data?: IKeyValue): IEffectsAction;
}
