"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../di");
var env_1 = require("../env");
var rn_storage_service_1 = require("./rn-storage.service");
var storage_support_1 = require("./storage.support");
di_1.appContainer.bind(di_1.DI_TYPES.Storage).toConstantValue(new rn_storage_service_1.RnStorage(storage_support_1.joinStorageKeyPrefix(env_1.ENV.appVersion, env_1.ENV.appProfile)));
di_1.appContainer.bind(di_1.DI_TYPES.NotVersionedPersistentStorage).toConstantValue(new rn_storage_service_1.RnStorage(storage_support_1.joinStorageKeyPrefix(env_1.ENV.appProfile)));
//# sourceMappingURL=rn-storage.module.js.map