import { IEntity, I$DateWrapper } from '../definitions.interface';
/**
 * @stable [29.08.2018]
 * @param {TEntity} item1
 * @param {TEntity} item2
 * @returns {number}
 * @constructor
 */
export declare const ID_DESC_ENTITIES_SORTER_FN: <TEntity extends IEntity>(item1: TEntity, item2: TEntity) => number;
/**
 * @stable [29.08.2018]
 * @param {TEntity} item1
 * @param {TEntity} item2
 * @returns {number}
 * @constructor
 */
export declare const ID_ASC_ENTITIES_SORTER_FN: <TEntity extends IEntity>(item1: TEntity, item2: TEntity) => number;
/**
 * @stable [29.08.2018]
 * @param {TEntity} item1
 * @param {TEntity} item2
 * @returns {number}
 */
export declare const $DATE_DESC_ENTITIES_SORTER_FN: <TEntity extends I$DateWrapper<string>>(item1: TEntity, item2: TEntity) => number;
